perl-embperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ilia Lobsanov <i...@lobsanov.com>
Subject Embperl 2.0b8 and HTML::Embperl 1.3.4 coexistence
Date Sun, 20 Oct 2002 02:38:12 GMT
I'm trying to get Embperl 2.0b8 and HTML::Embperl 1.3.4 to co-exist.

First I got Embperl 2.0b8 working alone with apache 1.3.27, mod_perl
1.27, perl 5.6.1, Apache::SessionX configured with MySQL.

Then I installed HTML::Embperl 1.3.4 and the trouble started.

I run apache with -X and it segfaults on request of an epl page.
The apache conf is set to use only Embperl (not HTML::Embperl)
The apache conf also contains EMBPERL_SESSION directives. When I comment
them out, apache runs fine.

gdb output goes like this:
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1024 (LWP 11458)]
0x4060e398 in embperlCmd_AddSessionIdToLink ()
   from
   /usr/lib/perl5/site_perl/5.6.1/i686-linux/auto/Embperl/Embperl.so


ilia.

---------------------------------------------------------------------
To unsubscribe, e-mail: embperl-unsubscribe@perl.apache.org
For additional commands, e-mail: embperl-help@perl.apache.org


Mime
View raw message